Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class LOBBatchQueryBuilder

    java.lang.Object
      org.apache.cayenne.access.trans.BatchQueryBuilder
          org.apache.cayenne.access.trans.LOBBatchQueryBuilder

Direct Known Subclasses:
  LOBInsertBatchQueryBuilder, LOBUpdateBatchQueryBuilder

    public abstract class LOBBatchQueryBuilder

extends BatchQueryBuilder

Superclass of query builders for the DML operations involving LOBs.

Author:
  Andrus Adamchik

Field Summary
`protected String` | `newBlobFunction`
`protected String` | `newClobFunction`

Fields inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder
`adapter, trimFunction`

Constructor Summary
`LOBBatchQueryBuilder(DbAdapter adapter)`

Method Summary
`protected void` | `appendUpdatedParameter(StringBuffer buf, DbAttribute dbAttribute, Object value)` Appends parameter placeholder for the value of the column being updated.
`void` | `bindParameters(PreparedStatement statement, BatchQuery query)` Binds BatchQuery parameters to the PreparedStatement.
`String` | `createLOBSelectString(BatchQuery updateQuery, List selectedLOBAttributes, List qualifierAttributes)`
`String` | `getNewBlobFunction()`
`String` | `getNewClobFunction()`
`abstract List` | `getValuesForLOBUpdateParameters(BatchQuery query)`
`protected boolean` | `isUpdateableColumn(Object value, int type)`
`void` | `setNewBlobFunction(String string)`
`void` | `setNewClobFunction(String string)`

Methods inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder
`appendDbAttribute, createSqlString, getAdapter, getParameterValues, getTrimFunction, setAdapter, setTrimFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newClobFunction

    protected String newClobFunction

### newBlobFunction

    protected String newBlobFunction

Constructor Detail

### LOBBatchQueryBuilder

    public LOBBatchQueryBuilder(DbAdapter adapter)

Method Detail

### getValuesForLOBUpdateParameters

    public abstract List getValuesForLOBUpdateParameters(BatchQuery query)

### createLOBSelectString

    public String createLOBSelectString(BatchQuery updateQuery,
                                        List selectedLOBAttributes,
                                        List qualifierAttributes)

### appendUpdatedParameter

    protected void appendUpdatedParameter(StringBuffer buf,
                                          DbAttribute dbAttribute,
                                          Object value)

  Appends parameter placeholder for the value of the column being updated. If requested, performs special handling on LOB columns.

### bindParameters

    public void bindParameters(PreparedStatement statement,
                               BatchQuery query)
                        throws SQLException,
                               Exception

  Binds BatchQuery parameters to the PreparedStatement.

  Overrides:
    `bindParameters` in class `BatchQueryBuilder`
  Throws:
    `SQLException`
    `Exception`

### isUpdateableColumn

    protected boolean isUpdateableColumn(Object value,
                                         int type)

### getNewBlobFunction

    public String getNewBlobFunction()

### getNewClobFunction

    public String getNewClobFunction()

### setNewBlobFunction

    public void setNewBlobFunction(String string)

### setNewClobFunction

    public void setNewClobFunction(String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.